Bug 1068724 - Review Request: python-ecdsa - ECDSA cryptographic signature library
Summary: Review Request: python-ecdsa - ECDSA cryptographic signature library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1056292
TreeView+ depends on / blocked
 
Reported: 2014-02-21 18:21 UTC by Orion Poplawski
Modified: 2014-02-25 19:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-25 19:32:46 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1067697 0 unspecified CLOSED Enable prime192v1 and secp224r1 elliptic curves 2021-02-22 00:41:40 UTC

Internal Links: 1067697

Description Orion Poplawski 2014-02-21 18:21:56 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa-0.10-1.fc20.src.rpm
Description: 
This is an easy-to-use implementation of ECDSA cryptography (Elliptic Curve
Digital Signature Algorithm), implemented purely in Python, released under
the MIT license. With this library, you can quickly create keypairs (signing
key and verifying key), sign messages, and verify the signatures. The keys
and signatures are very short, making them easy to handle and incorporate
into other protocols.

NOTE: The prime192v1 and secp224r1 curves are currently disabled.

Fedora Account System Username: orion

Comment 1 Christopher Meng 2014-02-22 08:46:43 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 12 files have unknown
     license. Detailed output of licensecheck:

MIT/X11 (BSD like)
------------------
ecdsa-0.10-clean/ecdsa/six.py

Unknown or generated
--------------------
ecdsa-0.10-clean/ecdsa/__init__.py
ecdsa-0.10-clean/ecdsa/_version.py
ecdsa-0.10-clean/ecdsa/curves.py
ecdsa-0.10-clean/ecdsa/der.py
ecdsa-0.10-clean/ecdsa/ecdsa.py
ecdsa-0.10-clean/ecdsa/ellipticcurve.py
ecdsa-0.10-clean/ecdsa/keys.py
ecdsa-0.10-clean/ecdsa/numbertheory.py
ecdsa-0.10-clean/ecdsa/rfc6979.py
ecdsa-0.10-clean/ecdsa/test_pyecdsa.py
ecdsa-0.10-clean/ecdsa/util.py
ecdsa-0.10-clean/setup.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-ecdsa-0.10-1.fc21.noarch.rpm
          python-ecdsa-0.10-1.fc21.src.rpm
python-ecdsa.noarch: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
python-ecdsa.noarch: W: spelling-error %description -l en_US keypairs -> key pairs, key-pairs, keypads
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/ecdsa.py 0644L /usr/bin/env
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/ellipticcurve.py 0644L /usr/bin/env
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/numbertheory.py 0644L /usr/bin/env
python-ecdsa.src: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
python-ecdsa.src: W: spelling-error %description -l en_US keypairs -> key pairs, key-pairs, keypads
python-ecdsa.src:19: W: macro-in-comment %{srcname}
python-ecdsa.src:19: W: macro-in-comment %{srcname}
python-ecdsa.src:19: W: macro-in-comment %{version}
python-ecdsa.src: W: invalid-url Source0: ecdsa-0.10-clean.tar.gz
2 packages and 0 specfiles checked; 3 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-ecdsa
python-ecdsa.noarch: W: spelling-error Summary(en_US) cryptographic -> cryptography, cryptographer, crystallographic
python-ecdsa.noarch: W: spelling-error %description -l en_US keypairs -> key pairs, key-pairs, keypads
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/ecdsa.py 0644L /usr/bin/env
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/ellipticcurve.py 0644L /usr/bin/env
python-ecdsa.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/ecdsa/numbertheory.py 0644L /usr/bin/env
1 packages and 0 specfiles checked; 3 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-ecdsa (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-ecdsa:
    python-ecdsa



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn python-ecdsa-0.10-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------

1. I will track that openssl issue, so tarball without link is approved.

2. Please take a look at rpmlint E results.

3. I have no idea of bundling six in this package, you may ask some python people from RH or list.

4. PKG-INFO and README.md, I prefer shipping only README.md. (Idea?)

Others are fine.

Comment 2 Orion Poplawski 2014-02-25 04:33:46 UTC
Spec URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa-0.10-1.fc20.src.rpm

* Mon Feb 24 2014 Orion Poplawski <orion@cora.nwra.com> - 0.10-2
- Use system python-six
- Remove extraneous #!s

I think the PKG-INFO file can prove helpful to some.  Other packages ship them as well.

Comment 3 Christopher Meng 2014-02-25 04:49:47 UTC
Have you tried python3 package?

Comment 4 Orion Poplawski 2014-02-25 05:07:13 UTC
Good call.

Spec URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python-ecdsa-0.10-3.fc20.src.rpm

* Mon Feb 24 2014 Orion Poplawski <orion@cora.nwra.com> - 0.10-3
- Add python3 package

Comment 5 Christopher Meng 2014-02-25 05:42:09 UTC
Requires
--------
python-ecdsa (rpmlib, GLIBC filtered):
    python(abi)
    python-six

python3-ecdsa (rpmlib, GLIBC filtered):
    python(abi)
    python3-six



Provides
--------
python-ecdsa:
    python-ecdsa

python3-ecdsa:
    python3-ecdsa



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn python-ecdsa-0.10-3.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

---------------------------------
PACKAGE APPROVED.

Comment 6 Orion Poplawski 2014-02-25 18:18:00 UTC
New Package SCM Request
=======================
Package Name: python-ecdsa
Short Description: ECDSA cryptographic signature library
Owners: orion
Branches: f20 f19 epel7 el6
InitialCC:

Comment 7 Gwyn Ciesla 2014-02-25 18:53:53 UTC
Git done (by process-git-requests).

Comment 8 Orion Poplawski 2014-02-25 19:32:46 UTC
Checked in and built.  Thanks everyone.


Note You need to log in before you can comment on or make changes to this bug.